const MINGPAY_ACCOUNT_STATUS = {
  ACTIVE: 'ACTIVE', // 初始激活状态（冻结操作）
  UNACTIVE: 'UNACTIVE', // 冻结状态（解冻操作 AND 注销操作）
  LOG_OFF: 'LOG_OFF', // 注销状态 （结现操作）
  WITHDRAW: 'WITHDRAW', // 无任何操作
  SETTLEMENT: 'SETTLEMENT'
}
// 充值列表状态
const MINGPAY_CHARGE_ORDERSTATUS = {
  WAITING_PERMIT: 'WAITING_PERMIT', // 审批中
  SUCCESS: 'SUCCESS', // 充值成功
  FAILED: 'FAILED', // 审批失败
  // 外部充值
  WAITING_PAYMENT: 'WAITING_PAYMENT' // 等待支付
}
// 消费记录
const MINGPAY_RECORDS_STATUS = {
  SUCCESS: 'SUCCESS', // 正常状态
  WAITING_PERMIT: 'WAITING_PERMIT', // 退款等待审批
  REFUND_SUCCESS: 'REFUND_SUCCESS' // 退款成功
}
// 津贴状态
const MINGPAY_SUBSIDY_STATUS = {
  SUCCESS: 'SUCCESS',
  WAITING_PERMIT: 'WAITING_PERMIT',
  REFUSE_PERMIT: 'REFUSE_PERMIT'
}

export { MINGPAY_ACCOUNT_STATUS, MINGPAY_CHARGE_ORDERSTATUS, MINGPAY_RECORDS_STATUS, MINGPAY_SUBSIDY_STATUS }
